%define upstream_name    Version-Requirements
%define upstream_version 0.101023

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A set of version requirements for a CPAN dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Version/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A Version::Requirements object models a set of version constraints like
those specified in the _META.yml_ or _META.json_ files in CPAN
distributions. It can be built up by adding more and more constraints, and
it will reduce them to the simplest representation.

Logically impossible constraints will be identified immediately by thrown
exceptions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.101.23-7.mga10
+ Revision: 2201372
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.101.23-6.mga9
+ Revision: 1806560
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.101.23-5.mga8
+ Revision: 1498115
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.101.23-4.mga7
+ Revision: 1272427
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.101.23-3.mga6
+ Revision: 1035677
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.101.23-2.mga6
+ Revision: 968485
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 0.101.23-1.mga6
+ Revision: 852600
- update to 0.101023

* Wed Oct 15 2014 umeabot <umeabot> 0.101.22-6.mga5
+ Revision: 745183
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.101.22-5.mga5
+ Revision: 731910
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 0.101.22-4.mga5
+ Revision: 686825
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.101.22-3.mga4
+ Revision: 515906
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.101.22-2.mga3
+ Revision: 374710
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 0.101.22-1.mga2
+ Revision: 219812
- update to 0.101022

* Wed Jan 04 2012 jquelin <jquelin> 0.101.21-1.mga2
+ Revision: 190550
- update to 0.101021

* Sat Jan 22 2011 jquelin <jquelin> 0.101.20-1.mga1
+ Revision: 32538
- mageia rebuild
- imported package perl-Version-Requirements

